.TH wxTopLevelWindow 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxTopLevelWindow \- See external documentation: wxTopLevelWindow\&.
.SH DESCRIPTION
.LP
See external documentation: wxTopLevelWindow <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtoplevelwindow\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxWindow 
.br
wxEvtHandler 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxTopLevelWindow()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
getIcon(This::wxTopLevelWindow()) -> wxIcon() (see module wxIcon)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtoplevelwindow\&.html#wxtoplevelwindowgeticon>\&.
.RE
.LP
.B
getIcons(This::wxTopLevelWindow()) -> wxIconBundle() (see module wxIconBundle)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtoplevelwindow\&.html#wxtoplevelwindowgeticons>\&.
.RE
.LP
.B
getTitle(This::wxTopLevelWindow()) -> string()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtoplevelwindow\&.html#wxtoplevelwindowgettitle>\&.
.RE
.LP
.B
isActive(This::wxTopLevelWindow()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtoplevelwindow\&.html#wxtoplevelwindowisactive>\&.
.RE
.LP
.B
iconize(This::wxTopLevelWindow()) -> ok
.br
.RS
.LP
Equivalent to iconize(This, [])\&.
.RE
.LP
.B
iconize(This::wxTopLevelWindow(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {iconize, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtoplevelwindow\&.html#wxtoplevelwindowiconize>\&.
.RE
.LP
.B
isFullScreen(This::wxTopLevelWindow()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtoplevelwindow\&.html#wxtoplevelwindowisfullscreen>\&.
.RE
.LP
.B
isIconized(This::wxTopLevelWindow()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtoplevelwindow\&.html#wxtoplevelwindowisiconized>\&.
.RE
.LP
.B
isMaximized(This::wxTopLevelWindow()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtoplevelwindow\&.html#wxtoplevelwindowismaximized>\&.
.RE
.LP
.B
maximize(This::wxTopLevelWindow()) -> ok
.br
.RS
.LP
Equivalent to maximize(This, [])\&.
.RE
.LP
.B
maximize(This::wxTopLevelWindow(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {maximize, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtoplevelwindow\&.html#wxtoplevelwindowmaximize>\&.
.RE
.LP
.B
requestUserAttention(This::wxTopLevelWindow()) -> ok
.br
.RS
.LP
Equivalent to requestUserAttention(This, [])\&.
.RE
.LP
.B
requestUserAttention(This::wxTopLevelWindow(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {flags, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtoplevelwindow\&.html#wxtoplevelwindowrequestuserattention>\&.
.RE
.LP
.B
setIcon(This::wxTopLevelWindow(), Icon::wxIcon() (see module wxIcon)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtoplevelwindow\&.html#wxtoplevelwindowseticon>\&.
.RE
.LP
.B
setIcons(This::wxTopLevelWindow(), Icons::wxIconBundle() (see module wxIconBundle)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtoplevelwindow\&.html#wxtoplevelwindowseticons>\&.
.RE
.LP
.B
centerOnScreen(This::wxTopLevelWindow()) -> ok
.br
.RS
.LP
Equivalent to centerOnScreen(This, [])\&.
.RE
.LP
.B
centerOnScreen(This::wxTopLevelWindow(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {dir, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtoplevelwindow\&.html#wxtoplevelwindowcenteronscreen>\&.
.RE
.LP
.B
centreOnScreen(This::wxTopLevelWindow()) -> ok
.br
.RS
.LP
Equivalent to centreOnScreen(This, [])\&.
.RE
.LP
.B
centreOnScreen(This::wxTopLevelWindow(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {dir, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtoplevelwindow\&.html#wxtoplevelwindowcentreonscreen>\&.
.RE
.LP
.B
setShape(This::wxTopLevelWindow(), Region::wxRegion() (see module wxRegion)) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtoplevelwindow\&.html#wxtoplevelwindowsetshape>\&.
.RE
.LP
.B
setTitle(This::wxTopLevelWindow(), Title::string()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtoplevelwindow\&.html#wxtoplevelwindowsettitle>\&.
.RE
.LP
.B
showFullScreen(This::wxTopLevelWindow(), Show::bool()) -> bool()
.br
.RS
.LP
Equivalent to showFullScreen(This, Show, [])\&.
.RE
.LP
.B
showFullScreen(This::wxTopLevelWindow(), Show::bool(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {style, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtoplevelwindow\&.html#wxtoplevelwindowshowfullscreen>\&.
.RE
